proc_get_status
proc_open
Program execution Functions
PHP Manual

# proc_nice

(PHP 5)

proc_nice — Change the priority of the current process

### Description

bool proc_nice ( int `$increment` )

proc_nice() changes the priority of the current process by the amount specified in `increment` . A positive `increment` will lower the priority of the current process, whereas a negative `increment` will raise the priority.

proc_nice() is not related to proc_open() and its associated functions in any way.

### Parameters

`increment`

  The increment value of the priority change.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If an error occurs, like the user lacks permission to change the priority, an error of level `E_WARNING` is also generated.

### Notes

> Note: Availability
> proc_nice() will only exist if your system has 'nice' capabilities. 'nice' conforms to: SVr4, SVID EXT, AT&T, X/OPEN, BSD 4.3. This means that proc_nice() is not available on Windows.

proc_get_status
proc_open
Program execution Functions
PHP Manual